﻿@{
    Layout = "_LayoutBase.cshtml";
}

<header class="header header--home">
    <a href="/">
        <img src="~/Content/Images/logo.png" class="header__logo" alt="Logo" />
    </a>

    <div class="header__actions">
        @*<div class="header__search">
            <img src="~/Content/Icons/search.png" alt="Buscar" class="header__search-icon" />
            <input type="search" name="search" class="header__search-input" value="" placeholder="Buscar"/>
        </div>*@
        <div class="header__user-actions">
            <div id="dropdown" class="dropdown header__icon-action">
                @if (User.Identity.IsAuthenticated)
                {
                    <a href="/Account/MyAccount"><span class="icon icon-user icon--clickable"></span></a>
                }
                else
                {
                    <a href="/Account/Login"><span class="icon icon-user icon--clickable"></span></a>
                }
                @*<img src="~/Content/assets/images/user.png" alt="Usuario" class="dropdown-toggle height-28" data-toggle="dropdown" data-target=".dropdown-menu" />*@
                @if (!User.Identity.IsAuthenticated)
                {
                    <ul class="right dropdown-menu user-dropdown">
                        <li>
                            <a href="/Account/Login">Ingresar</a>
                        </li>
                        <li>
                            <a href="/Account/CreateFromLogOn">Regístrate</a>
                        </li>
                    </ul>

                }
                else
                {
                    <ul class="right dropdown-menu user-dropdown">
                        <li>
                            <a href="/Account/LogOut">Salir</a>
                        </li>
                        <li>
                            <a href="/Account/ShoppingHistory">Mis Compras</a>
                        </li>
                        <li>
                            <a href="/Account/MyAccount">Mis Datos</a>
                        </li>

                    </ul>
                }
            </div>
            <a href="/shopping-cart" class="header__icon-action">
                @*<img src="~/Content/Icons/bag.png" alt="Bolsa de compras" />*@
                <span class="icon icon-bag icon--clickable"></span>
            </a>
        </div>
    </div>
</header>


<main class="content content--home">
    @Html.Partial("Home/SideMenu/SideMenu")
    @RenderBody()
</main>

@Html.Partial("Layout/Newsletter/Newsletter")


@section Scripts{
    <script>
        $('.js-toggle-item').click(function () {
            var $section = $(this).parent().find('.side-menu__toggle-section');
            var $toggle = $(this);

            $section.toggleClass('hidden');
            //$toggle.toggleClass('icon-toggle--toggled');
        });

        $('#dropdown').on('show.bs.dropdown', function () {
            $(this).find('.dropdown-menu').first().stop(true, true).slideDown(400);
        });

        // Add slideUp animation to Bootstrap dropdown when collapsing.
        $('#dropdown').on('hide.bs.dropdown', function () {
            $(this).find('.dropdown-menu').first().stop(true, true).slideUp(400);
        });
    </script>

    @RenderSection("Scripts", required: false)
}